LSBILIBOP(8)

NOM
lsbilibop - lister les périphériques étiquetés BILIBOP, afficher ou mettre à jour certaines de leurs propriétés udev

SYNOPSIS
lsbilibop [-l]
lsbilibop [-a|-c|-i] [PÉRIPHÉRIQUE [PÉRIPHÉRIQUE [...]]]
lsbilibop -h

DESCRIPTION
lsbilibop est un simple script shell qui affiche la liste des périphériques bloc marqués BILIBOP et certaines de leurs propriétés udev(7), ou déclenche des évènements pour mettre à jour les règles udev et les propriétés qui peuvent être appliquées à ces périphériques.

Si le système d'exploitation tourne depuis un support externe accessible en écriture (mémoire Flash USB ou SD, disque dur USB, Firewire ou eSATA), alors les périphériques étiquetés BILIBOP sont les périphériques de type bloc dont le contenu se trouve sur le même disque physique que le système de fichiers racine. Cela inclut le disque, les partitions, mais aussi les périphériques virtuels device-mapper et loopback, et même les périphériques contenant un système de fichiers utilisé comme branche inférieure (en lecture seule) d'un point de montage pour aufs(5) ou overlay. Le fichier de règles /usr/lib/udev/rules.d/66-bilibop.rules (ou /etc/udev/rules.d/66-bilibop.rules) est utilisé pour trouver et étiqueter ces périphériques.

OPTIONS
Les options doivent précéder les arguments. Quand elle est invoquée sans option, lsbilibop renvoie seulement la liste des périphériques donnés comme arguments (s'il s'agit de périphériques en mode bloc étiquetés BILIBOP), ou de tous les périphériques étiquetés BILIBOP si aucun argument n'est fourni. Les périphériques sont listés dans le même ordre que dans le fichier /proc/partitions, c'est à dire dans l'ordre de leur découverte par le noyau. Des chemins absolus ou relatifs et les liens symboliques peuvent être utilisés pour désigner un périphérique. Les caractères joker du shell sont acceptés.

-a  Déclenche un évènement 'ajout de périphérique' pour le(s) périphérique(s) donné(s) en argument(s) (s'il est étiqueté BILIBOP), ou de tous les périphériques étiquetés BILIBOP si aucun argument n'est fourni, pour mettre à jour leurs propriétés udev. Cela peut être utilisé chaque fois que les variables BILIBOP_RULES_* correspondantes sont modifiées dans le fichier bilibop.conf(5), pour appliquer les nouveaux paramètres sans avoir à redémarrer le système d'exploitation.

-c  Déclenche un évènement 'modification de périphérique' pour le(s) périphérique(s) donné(s) en argument(s) (s'il est étiqueté BILIBOP), ou de tous les périphériques étiquetés BILIBOP si aucun argument n'est fourni, pour mettre à jour leurs propriétés udev. Cela peut être utilisé chaque fois que les variables BILIBOP_RULES_* correspondantes sont modifiées dans le fichier bilibop.conf(5), pour appliquer les nouveaux paramètres sans avoir à redémarrer le système d'exploitation.

-h  Affiche une page d'aide sur la sortie standard et quitte.

-i  Affiche certaines propriétés udev(7) utiles de périphérique(s) donné(s) en argument(s) (s'ils sont étiquetés BILIBOP), ou de tous les périphériques étiquetés BILIBOP si aucun argument n'est fourni. Cette option écrase les options -a et -c.

    Les propriétés suivantes sont données à titre d'information. Les deux dernières ne sont définies que si udisks 1.x (ID_DRIVE_DETACHABLE) et/ou udisks 2.x (UDISKS_CAN_POWER_OFF) sont installés.

    DEVNAME
    BILIBOP_DISK
    BILIBOP_PARTITION
    BILIBOP_UNDERLYING_PARTITION
    DEVLINKS

    ID_DRIVE_DETACHABLE
    UDISKS_CAN_POWER_OFF

    Les propriétés suivantes peuvent être utilisées pour paramètrer les variables BILIBOP_RULES_*_WHITELIST et d'autres dans bilibop.conf(5):

    ID_FS_LABEL
    ID_FS_TYPE
    ID_FS_USAGE
    ID_FS_UUID

    Les propriétés suivantes peuvent être modifiées en changeant la valeur des variables BILIBOP_RULES_* correspondantes dans bilibop.conf(5). Elles ne sont définies que si udisks 1.x (pour le premier jeu) et/ou udisks 2.x (pour le second jeu) sont installés.

    UDISKS_PRESENTATION_HIDE
    UDISKS_PRESENTATION_ICON_NAME
    UDISKS_PRESENTATION_NAME
    UDISKS_SYSTEM_INTERNAL

    UDISKS_IGNORE
    UDISKS_ICON_NAME
    UDISKS_NAME
    UDISKS_SYSTEM

-l  Liste les périphériques sans se fier à l'étiquette 'BILIBOP'. Cette option s'appuie sur la bibliothèque de fonctions shell du paquet bilibop-common.

ERREURS
Si l'étiquette 'BILIBOP' n'existe pas dans la base de données de udev, alors lsbilibop affiche un message d'erreur pratique sur la sortie standard des erreurs, et liste les nœuds dont le contenu est supposé être écrit sur le même disque physique que la racine du système (comme avec l'option -l). Le code de sortie est 8.

FICHIERS
/etc/bilibop/bilibop.conf
/usr/share/doc/bilibop-rules/examples/bilibop.conf
/usr/share/bilibop/bilibop_rules_generator
/lib/udev/rules.d/66-bilibop.rules
/etc/udev/rules.d/66-bilibop.rules

VOIR AUSSI
bilibop(7), bilibop.conf(5), drivemap(1), udev(7), udevadm(8), udisks(7), udisks(8)

AUTEUR
Cette page de manuel a été traduite de l'anglais par Alexandre Martin <alemar@Safe-mail.net> dans le cadre du projet bilibop.